Subject: ? Problems in directory list transfer 2

From: "Vlad S." <[email-masked]>
Date: Fri, 24 Oct 1997 10:36:50 +0300

Hi,
I wrote in previous message:  
> I have a Linux based system (RedHat Linux 4.2).
> I installed wu-ftpd-2.4.2b12-6.rpm and made
> '/home/ftp' directory (according to record in /etc/passwd for ftp user)
> I created there 'pub' subdirectory and put there some files.
> (rights for all directories are 755)
> When I connect to ftp on this computer from some other system,
> everything goes fine until I type 'ls'. i.e, it allows me to login as
> 'anonymous',
> asks for the passwd and gives the ftp prompt. The real problem starts
when
> I execute 'ls'. It shows only:
> 
> 200 Port command successful
> 150 Opening ASCII mode data connection for /bin/ls
> 226 Transfer complete
> 
> It does not shown directory list!
> For 'pub' subdirectory I get the same result.
> But when I login as a registered user (e.g 'vlad') 'ls' works
> and shows '/home/vlad' directory list as it should to do!

Denise recommended me to do following things:
"In a chrooted environment:
Check that the ~ftp/bin/ls has exec permitions by all users, if it does,
try copying over the 'ls' from /usr/bin/ls and test it, if that doesn't
work, try /sbin/ls and test it.

If you aren't in a chrooted environment:
Make sure that /bin/ls (or where ever ftp is using ls from) is
executable by all.
If you don't know which 'ls' is being used by ftp, do a 'whereis ls',
the first 'ls' in your path is the one called by ftp. Make sure that
'ls' is executable by all users (chmod 711 ls)."
---
I did all these things (and I set all possible rights for all users), 
but I still have this problem - 'anonymous' ftp-users
do not get directory list having entered 'ls' command.
(I tried put in ~/ftp/bin ls-emulator command which just write
a line "Hi!" in some file. This file didn't appear after ftp session)

Any suggestions, please.

Vladislav